GuiCommand: Name: Arch MergeWalls MenuLocation: Utils , Merge Walls Workbenches: BIM_Workbench SeeAlso: Arch_Wall
Arch MergeWalls
Description
The Arch MergeWalls tool merges Arch Walls.
Usage
- Do one of the following:
- Select a single wall with one or more additions that are also walls.
- Select two or more walls.
- In both cases the walls must have the same Height, Width and Align properties.
- Select the Utils →
Merge Walls option from the menu.
Notes
- Arch Add can merge walls even if they have different heights, widths and alignments.
Scripting
See also:
Arch API and FreeCAD Scripting Basics.
This tool can be used in macros and from the Python console by using the following function:
base = joinWalls(walls, delete=False)
Example:
import FreeCAD, Draft, Arch
p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()
Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
FreeCAD.ActiveDocument.recompute()
base = Arch.joinWalls([Wall1, Wall2])
⏵ documentation index > BIM > Arch MergeWalls
This page is retrieved from https://github.com/FreeCAD/FreeCAD-documentation/blob/main/wiki/Arch_MergeWalls.md